import { Meta, Canvas, Controls } from "@storybook/blocks";
import * as ComponentStories from "./social-media-wall.stories";

<Meta of={ComponentStories} name="Docs" />

# Social Media Wall Block

This block is created using the `ux-iws-soial-media` component.
In this example can be seen the state of the module when the cookies are not yet accepted by the user.
Click on the "Fake cookies accepted" button to simulate cookies being accepted.
An exmaple of the module when the cookies are already accepted from the start can bee seen at the newsroom
page.

To configure the `ux-iws-social-media-wall` correctly, use the attribute `wall-identifier` to specify the id of the
social media wall that should be loaded. For example, `w76gb` is the id of the British Social media wall. (The one
used as the exmaple for this story).

Additional attrubutes that have to be included are `load-more-text` that specifies what text to be displayed in the
call to action button to load more posts, anf `no-more-posts-text` which is the text that will be displayed once there
are no more posts to be loaded.

Inside the `ux-iws-social-media-wall` tags insert the elements to be shown when the cookies have not yet been accepted.

<Canvas of={ComponentStories.Default}></Canvas>

## Developer Documentation

<Controls />
